/*
 * Copyright 2009 Ben Axelrod
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the Creative Commons Attribution-Noncommercial-Share
 * Alike 3.0 United States License. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * To view a copy of this license, visit:
 * 
 * http://creativecommons.org/licenses/by-nc-sa/3.0/us/
 *
 * or send a letter to:
 * Creative Commons
 * 171 Second Street, Suite 300
 * San Francisco, California 94105 USA
 */


using Microsoft.Dss.Core.Attributes;
using System;
using System.Collections.Generic;

using drive = Microsoft.Robotics.Services.Drive.Proxy;
using sicklrf = Microsoft.Robotics.Services.Sensors.SickLRF.Proxy;

namespace Microsoft.Robotics.Services.SimpleDashboard
{
    /// <summary>
    /// SimpleDashboard StateType
    /// </summary>
    [DataContract]
    public class SimpleDashboardState
    {
        /// <summary>
        /// Whether to save a log file or not
        /// </summary>
        [DataMember]
        public bool Log;

        /// <summary>
        /// the log file path
        /// </summary>
        [DataMember]
        public string LogFile;
    }
}
